Bug 1417883 - Test case failure: /CoreOS/mysql/testsuite - rpl.rpl_semi_sync_future_logpos 'row'
Summary: Test case failure: /CoreOS/mysql/testsuite - rpl.rpl_semi_sync_future_logpos ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 11:13 UTC by Karel Volný
Modified: 2017-08-09 19:57 UTC (History)
3 users (show)

Fixed In Version: community-mysql-5.7.19-1.fc26 community-mysql-5.7.19-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-09 15:56:58 UTC


Attachments (Terms of Use)

Description Karel Volný 2017-01-31 11:13:33 UTC
running the testsuite on community-mysql-server-5.7.17-1.fc25.x86_64 fails with:

rpl.rpl_semi_sync_future_logpos 'row'    [ fail ]
        Test ended at 2017-01-30 16:34:44

CURRENT_TEST: rpl.rpl_semi_sync_future_logpos
mysqltest: In included file ./include/assert.inc at line 72:
included from /usr/share/mysql-test/suite/rpl/t/rpl_semi_sync_future_logpos.test at line 55:
At line 71: Test assertion failed in assert.inc

The result from queries just before the failure was:
< snip >
**** slave_relay_info on server_1 ****
SELECT * FROM mysql.slave_relay_log_info;
Number_of_lines	Relay_log_name	Relay_log_pos	Master_log_name	Master_log_pos	Sql_delay	Number_of_workers	Id	Channel_name

**** slave_master_info on server_1 ****
SELECT * FROM mysql.slave_master_info;
Number_of_lines	Master_log_name	Master_log_pos	Host	User_name	User_password	Port	Connect_retry	Enabled_ssl	Ssl_ca	Ssl_capath	Ssl_cert	Ssl_cipher	Ssl_key	Ssl_verify_server_cert	Heartbeat	Bind	Ignored_server_ids	Uuid	Retry_count	Ssl_crl	Ssl_crlpath	Enabled_auto_position	Channel_name	Tls_version

**** mysql.gtid_executed on server_1 ****
SELECT * FROM mysql.gtid_executed;
source_uuid	interval_start	interval_end
rpl_topology= 1->2
rand_seed: '' _rand_state: ''
extra debug info if any: ''
rpl_topology=1->2
connection master;
Assertion text: 'semi sync master clients should be 0.'
Assertion condition: '[show status like "Rpl_semi_sync_master_clients", Value, 1] = 0'
Assertion condition, interpolated: '1 = 0'
Assertion result: '0'
safe_process[18266]: Child process: 18267, exit: 1

 - the logfile can be found in '/var/tmp/testELX/log/rpl.rpl_semi_sync_future_logpos-row/rpl_semi_sync_future_logpos.log'

Comment 1 Fedora Update System 2017-07-25 13:18:32 UTC
community-mysql-5.7.19-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee93493bea

Comment 2 Fedora Update System 2017-07-25 22:50:20 UTC
community-mysql-5.7.19-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a827cf42a

Comment 3 Fedora Update System 2017-07-25 22:55:03 UTC
community-mysql-5.7.19-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7c039552fa

Comment 4 Fedora Update System 2017-07-26 01:20:21 UTC
community-mysql-5.7.19-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee93493bea

Comment 5 Fedora Update System 2017-08-09 15:56:58 UTC
community-mysql-5.7.19-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-08-09 19:57:52 UTC
community-mysql-5.7.19-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.